[@bigcommerce/checkout-sdk](../README.md) / ExtraField

# Interface: ExtraField

## Table of contents

### Properties

- [config](ExtraField.md#config)
- [id](ExtraField.md#id)
- [isRequired](ExtraField.md#isrequired)
- [name](ExtraField.md#name)
- [type](ExtraField.md#type)
- [visibleToStorefront](ExtraField.md#visibletostorefront)

## Properties

### config

• **config**: [`ExtraFieldConfig`](ExtraFieldConfig.md)

___

### id

• **id**: `string`

___

### isRequired

• **isRequired**: `boolean`

___

### name

• **name**: `string`

___

### type

• **type**: [`ExtraFieldType`](../README.md#extrafieldtype)

___

### visibleToStorefront

• **visibleToStorefront**: `boolean`
